<?PHP
	// Couple of variables
	$username = "xxxx";
	$password = "xxxx";
	$xml_rpc_url = "/xxx/xmlrpc.php";
	$blog_host = "www.xxxx.com";

	// Variables that need to be set
	$title = "test title";
	$description = "test description";
	$uploadfile_rel = "http://test.upload/something.3gp";

	// Construct the blog post
	$post_body = $description.'<br /><br />'."\n".'<a href="'.$uploadfile_rel.'">'.$uploadfile_rel.'</a>';

	// Include XML RPC Library
	require_once('XML/RPC.php');

	// Create the XML-RPC Structure	for the post
	$post_struct = new XML_RPC_Value(array(
		"title" => new XML_RPC_Value($title,'string'),
		"description" => new XML_RPC_value($post_body,'string')),
		"struct");

	// Create the XML-RPC structure for the username/password, including the post_struct
	$post_params = array(
		new XML_RPC_Value(1, 'int'),
		new XML_RPC_Value($username,'string'),
		new XML_RPC_Value($password,'string'),
		$post_struct,
		new XML_RPC_Value(true,'boolean')
	);

	// Using metaWeblog.newPost  create the msg
	$msg = new XML_RPC_Message('metaWeblog.newPost', $post_params);

	var_dump($msg);

	// Connect and send the message
	$cli = new XML_RPC_Client($xml_rpc_url, $blog_host);
	$resp = $cli->send($msg);
	
	var_dump($cli);
	
	// Check if the response exists
	if (!$resp)
	{
		// Couldn't connect, show the error
		echo("Communication error: " . $cli->errstr . "\n");
		exit;
	}
	else
	{
		$val = $resp->value();
		$data = XML_RPC_decode($val);
	
		// Check if there is a faultCode
		if (!$resp->faultCode())
		{		
			echo("POSTED " . $data . "\n");
		}
		else
		{
			echo("NOT POSTED " . $data . " " . $resp->faultCode() . " " . $resp->faultString() . "\n");
		}
	}
?>